Package Details: livewallpaper-bzr 0.5.0.r333-1

Git Clone URL: https://aur.archlinux.org/livewallpaper-bzr.git (read-only, click to copy)
Package Base: livewallpaper-bzr
Description: OpenGL powered animated wallpapers with configuration utility, autostart, and application indicator.
Upstream URL: https://launchpad.net/livewallpaper
Keywords: background desktop live wallpaper
Licenses: GPL3
Replaces: livewallpaper
Submitter: Salamandar
Maintainer: Salamandar
Last Packager: Salamandar
Votes: 14
Popularity: 0.000000
First Submitted: 2019-02-02 19:19
Last Updated: 2019-02-02 19:19

Latest Comments

« First ‹ Previous 1 2 3 4

Caiosama205 commented on 2015-12-31 22:21

Thank you Deuchnord! got it with your advice!

Deuchnord commented on 2015-12-19 18:46

I had two more packages to install to compile this package: gobject-introspection and libappindicator-gtk3 :)

Salamandar commented on 2015-11-22 12:57

Got it, just updated it.
I already had py2-opengl installed on my system so I couldn't guess that :p

manasn commented on 2015-11-22 12:49

Update again. I did reinstall of arch (again) and was faced with the same error.
The precise dependancy is
`python2-opengl`

Salamandar commented on 2015-10-22 19:26

Hi, sorry I couldn't help you sooner.
Well……… I'm gonna add those dependencies in the PKGBUILD right now.
Thanks for the feedback ;)

manasn commented on 2015-10-21 18:26

Hey, I got it to work!!!!

sudo pacman -S python python-numpy python-opengl

And that's it! :) Thanks again for the pkgbuild!

manasn commented on 2015-10-21 18:19

Okay, here's the error I'm getting when I run `livewallpaper` from terminal, choosing the 'circles' theme.
====================================================

(livewallpaper:3379): libpeas-WARNING **: Failed to enable unknown plugin loader 'vala'
/usr/lib/livewallpaper/plugins/circles/circles.py:22: PyGIWarning: Gdk was imported without specifying a version first. Use gi.require_version('Gdk', '3.0') before import to ensure that the right version gets loaded.
from gi.repository import GObject, Gdk, GdkPixbuf, LW, Gio
/usr/lib/livewallpaper/plugins/circles/circles.py:22: PyGIWarning: LW was imported without specifying a version first. Use gi.require_version('LW', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import GObject, Gdk, GdkPixbuf, LW, Gio
/usr/lib/livewallpaper/plugins/circles/circles.py:23: PyGIWarning: PangoCairo was imported without specifying a version first. Use gi.require_version('PangoCairo', '1.0') before import to ensure that the right version gets loaded.
from gi.repository import cairo, Pango, PangoCairo

(livewallpaper:3379): libpeas-WARNING **: Error importing plugin 'circles':
Traceback (most recent call last):
File "/usr/lib/python2.7/importlib/__init__.py", line 37, in import_module
__import__(name)
File "/usr/lib/livewallpaper/plugins/circles/circles.py", line 24, in <module>
from OpenGL.GL import *
ImportError: No module named OpenGL.GL

===========================================

manasn commented on 2015-10-21 11:55

Thanks for your reply, :) It seems that there is some problem with plugins that have ".py" included in them.
The photoslide plugin also gives me a black screen.

How can I start it in terminal? Like just launch from there?
Anyway, I'll try that report back.

Salamandar commented on 2015-10-20 14:15

That is strangc, worked for me when i Tried.
Can you start it inside a terminal to check any errors ?

manasn commented on 2015-10-20 14:13

Hi, thanks for this package!
Installation went smooth and application runs as intended, but the "circles" wallpaper is not working, all that I get is a blank screen.
But other wallpapers are working fine.

I would really like that circles wallpaper to work, any workarounds?